package com.example.fragmentsample;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;

public class Fragment1 extends Fragment {
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		return inflater.inflate(R.layout.fragment_1, container, false); 
	}
	@Override
	public void onStart() {
		super.onStart();
		// ボタンにリスナーを割り当て
		getActivity().findViewById(R.id.frag1_btn).setOnClickListener(button1ClickListener);
	}
	
	OnClickListener button1ClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			createFragment2();
		}
	};
	
	public void createFragment2() {
		Fragment fragment = new Fragment2();
		Bundle args = new Bundle();
		fragment.setArguments(args);
		getFragmentManager().beginTransaction()
				.replace(R.id.container, fragment).commit();
	}
}

