package com.example.fragmentsample;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;

public class Fragment3 extends Fragment {
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		return inflater.inflate(R.layout.fragment_3, container, false); 
	}
	@Override
	public void onStart() {
		super.onStart();
		// ボタンにリスナーを割り当て
		getActivity().findViewById(R.id.frag3_btn1).setOnClickListener(button31ClickListener);
	}
	
	/** セクション２のレイアウトを呼び出す */
	public static class Section3Fragment extends Fragment {
		public static final String ARG_SECTION_NUMBER = "section_number";
		
		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
			View myView = inflater.inflate(R.layout.fragment_1, container,false);
			
			return myView;
		}
	}
	
	OnClickListener button31ClickListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			createFragment1();
		}
	};
	
	public void createFragment1() {
		Fragment fragment = new Fragment1();
		Bundle args = new Bundle();
		fragment.setArguments(args);
		getFragmentManager().beginTransaction()
				.replace(R.id.container, fragment).commit();
	}
}

